Agent Invocations
Cancel an agent invocation
Cancels an invocation. Returns 404 if the agent does not support this operation or if the invocation ID is not found.
Parametri del percorso
agent_name
string
necessario
The name of the agent.
invocation_id
string
necessario
The unique identifier of the invocation to cancel.
Parametri di intestazione
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Corpo della richiesta
Optional request body.
Risposte
The request has succeeded.
Intestazioni
x-agent-session-id
string
necessario
Session ID for this invocation. Returns the session ID associated with the invocation.
Corpo
Richiedi
POST /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel HTTP/1.1
Response
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json